---
include:
  - "gitlab-ci.d/base.yml"
  - "gitlab-ci.d/image/image-build.yml"

build:node:
  extends:
    - ".image:build"
    - ".stage:build"
  variables:
    IMAGE_BUILD_DOCKERFILE: "./images/node/Dockerfile"
    IMAGE_BUILD_TARGET: "node"

build:php:
  extends:
    - ".image:build"
    - ".stage:build"
  variables:
    IMAGE_BUILD_DOCKERFILE: "./images/php/Dockerfile"
    IMAGE_BUILD_TARGET: "php"

build:php-test:
  extends:
    - ".image:build"
    - ".stage:build"
  variables:
    IMAGE_BUILD_DOCKERFILE: "./images/php/Dockerfile"
    IMAGE_BUILD_TARGET: "test"

build:postgresql-cluster-initializer:
  extends:
    - ".image:build"
    - ".stage:build"
  variables:
    IMAGE_BUILD_DOCKERFILE: "./images/postgres/Dockerfile"
    IMAGE_BUILD_TARGET: "postgresql-cluster-initializer"

build:postgresql-server:
  extends:
    - ".image:build"
    - ".stage:build"
  variables:
    IMAGE_BUILD_DOCKERFILE: "./images/postgres/Dockerfile"
    IMAGE_BUILD_TARGET: "postgresql-server"

build:postgresql-server-tls-initializer:
  extends:
    - ".image:build"
    - ".stage:build"
  variables:
    IMAGE_BUILD_DOCKERFILE: "./images/postgres/Dockerfile"
    IMAGE_BUILD_TARGET: "postgresql-server-tls-initializer"

build:postgresql-server-tls-watcher:
  extends:
    - ".image:build"
    - ".stage:build"
  variables:
    IMAGE_BUILD_DOCKERFILE: "./images/postgres/Dockerfile"
    IMAGE_BUILD_TARGET: "postgresql-server-tls-watcher"

build:rabbitmq-server:
  extends:
    - ".image:build"
    - ".stage:build"
  variables:
    IMAGE_BUILD_DOCKERFILE: "./images/rabbitmq/Dockerfile"
    IMAGE_BUILD_TARGET: "rabbitmq-server"

build:rabbitmq-server-tls-initializer:
  extends:
    - ".image:build"
    - ".stage:build"
  variables:
    IMAGE_BUILD_DOCKERFILE: "./images/rabbitmq/Dockerfile"
    IMAGE_BUILD_TARGET: "rabbitmq-server-tls-initializer"

build:rabbitmq-server-tls-watcher:
  extends:
    - ".image:build"
    - ".stage:build"
  variables:
    IMAGE_BUILD_DOCKERFILE: "./images/rabbitmq/Dockerfile"
    IMAGE_BUILD_TARGET: "rabbitmq-server-tls-watcher"
